// MOVIE DETAIL - detail.html //
.details {
    margin-top      : 330px;
    background-color: $bgLight;
    box-shadow      : 0 15px 8px $bgDark, 0 -15px 8px $bgDark;

    // DIV PRESENTATION CONTENT
    .pres {
        display         : flex;
        flex-wrap       : wrap;
        flex-direction  : column;
        padding         : 10px 10px;
        margin-top      : 2rem;
        max-width       : 1200px;
        border-radius   : 5px 5px 0 0;
        color           : #000000;
        background-color: rgba(220, 220, 220, 0.9);

        h2 {
            font-size: 2.5rem;
        }

        // CONTAINER
        .presContainer {
            display        : flex;
            flex-wrap      : wrap;
            justify-content: space-between;

            // CONTAINER GAUCHE
            .presContainerLeft {
                display    : flex;
                flex-wrap  : wrap;
                align-items: baseline;
                max-width  : 700px;

                p {
                    margin-left: 2rem;
                }
            }

            // CONTAINER DROIT 
            .presContainerRight {
                display      : flex;
                align-items  : center;
                margin-bottom:  10px;

                p {
                    margin: 0;
                }

                .progress {
                    width       : 150px;
                    height      : 10px;
                    margin-right:  5px;
    
                    .progressBar {
                        background-color: $primary;
                    }
                }
            }
        }
    }

    // DIV DETAIL CONTENT
    .detailContent {
        display         : flex;
        padding         : 10px 10px;
        margin-bottom   : 2rem;
        max-width       : 1200px;
        border-radius   : 0 0 5px 5px;
        color           : #000000;
        background-color: rgba(220, 220, 220, 0.9);

        img {
            width : 342px;
            height: 513px;
        }

        // DIV A PROPOS
        .detailPropos {
            display       : flex;
            flex-wrap     : wrap;
            flex-direction: column;
            margin-left   : 2rem;
            width         : 100%;
        }

            // CONTAINER INFO
            .detailContainerInfo {
                display        : flex;
                flex-wrap      : wrap;
                justify-content: space-between;
                margin-top     : 2rem;

                // DIV DETAIL
            .detailInfo {
                display       : flex;
                flex-wrap     : wrap;
                flex-direction: column;
                margin        : 0 10px;

                :first-child {
                    margin-bottom: 1rem;
                }

                h6 {
                    margin-bottom: 0;
                }

                p {
                    font-size: 0.8rem;
                }

                // DIV CAST
                .cast {
                    display  : flex;
                    flex-wrap: wrap;

                    img {
                        width       : 45px;
                        height      : 68px;
                        margin-right: 10px;
                    }
                }
            }
        }
    }
}

// MEDIA QUERIES //

@media screen and (max-width: 1024px) {
    .details {
    
        // DIV DETAIL CONTENT
        .detailContent {
            display       : flex;
            flex-wrap     : wrap;
            flex-direction: column;
            align-items   : center;
    
            img {
                width        : 342px;
                height       : 513px;
                margin-bottom:  1rem;
            }
    
            // DIV A PROPOS
            .detailPropos {
                margin-left   : 0rem;
            }
        }
    }
}

@media screen and (max-width: 750px) {

    .details {

        .divContainer {
            width: 100%;

            // CONTAINER DROIT 
            .presContainerRight {
                text-align: left;
            }
        }
    
        .cast {
    
            img {
                display: none;
            }
        }
    }
}